HTTP requests

Prev Next

The API call that you make is essentially an HTTP request that allows you to either access a resource on the server or to send data to the server.

HTTP methods

The HTTP method is a command that tells the server what to do. You can use the following HTTP methods in your requests:

HTTP method

Description

GET

Retrieve a single item or a list of items.

POST

Create an item.

PUT

Update an item.

DELETE

Delete an item.

Header parameters

Your requests must contain header parameters. Specifying these parameters allows you to transmit additional information for authorization.

Path parameters

Your requests also contain path parameters. Path parameters are variable parts of a URL that point to a specific resource. A URL can contain multiple path parameters, such as an API version or the unique ID of an item.

URL

The URL consists of at least a base API endpoint, followed by the API version and the plural name of the resource.

Example:

HTTP request

GET /v{version}/Dooh/Bookings

URL

https://dooh.grassfish.tv/adbookingapi/v1.1/Dooh/Bookings

Depending on the request, more parameters can be added to the URL, such as IDs and names of resources and child resources.

Example:

HTTP request

GET /v{version}/Dooh/Bookings/{bookingId}/Order

URL

https://dooh.grassfish.tv/adbookingapi/v1.1/Dooh/Bookings/3787/Order